> For the complete documentation index, see [llms.txt](https://docs.clearout.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clearout.io/developers/api/autocomplete.md).

# Autocomplete

Clearout's Autocomplete API is a free API that effectively identifies the corresponding website domains for a given company name, accompanied with the corporate logo and a confidence score

## Find Domains for Company

> Clearout's Autocomplete API is a free API that effectively identifies the corresponding website domains for a given company name, accompanied with the corporate logo and a confidence score

```json
{"openapi":"3.0.2","info":{"title":"Clearout OpenAPI","version":"1.1"},"tags":[{"name":"Autocomplete","description":"Clearout's Autocomplete API is a free API that effectively identifies the corresponding website domains for a given company name, accompanied with the corporate logo and a confidence score"}],"servers":[{"url":"https://api.clearout.io/v2"}],"security":[],"paths":{"/public/companies/autocomplete":{"get":{"tags":["Autocomplete"],"summary":"Find Domains for Company","description":"Clearout's Autocomplete API is a free API that effectively identifies the corresponding website domains for a given company name, accompanied with the corporate logo and a confidence score","operationId":"autocompleteCompany","parameters":[{"in":"query","name":"query","required":true,"schema":{"type":"string"},"description":"A company name or domain or even the website URL"}],"responses":{"200":{"description":"OK","content":{"application/json":{}}},"400":{"description":"Bad Request","content":{"application/json":{}}},"429":{"description":"Too Many Requests","content":{"application/json":{}}},"503":{"description":"Service Unavailable","content":{"application/json":{}}},"524":{"description":"Timeout Occurred","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.clearout.io/developers/api/autocomplete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
